summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChris <xchrisx@uber.space>2020-04-01 02:57:28 +0200
committerTDE Gitea <gitea@mirror.git.trinitydesktop.org>2020-04-01 12:54:11 +0000
commit57e87eca887c5982f251fd03019476c84a72e434 (patch)
tree73bf8a1eeba3ce882c9b1ff2346f41dae1b43169
parent0b5d85442a2f386c2687c11c2872f75c8fc7f9d9 (diff)
downloadtde-packaging-gentoo-57e87eca.tar.gz
tde-packaging-gentoo-57e87eca.zip
Live ebuilds: Add preliminary `KDiff3` ebuild.
Signed-off-by: Chris <xchrisx@uber.space>
-rw-r--r--trinity-apps/kdiff3/kdiff3-9999.ebuild29
1 files changed, 29 insertions, 0 deletions
diff --git a/trinity-apps/kdiff3/kdiff3-9999.ebuild b/trinity-apps/kdiff3/kdiff3-9999.ebuild
new file mode 100644
index 00000000..4fa97f86
--- /dev/null
+++ b/trinity-apps/kdiff3/kdiff3-9999.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2020 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+TRINITY_MODULE_TYPE="applications"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_HANDBOOK="optional"
+
+TRINITY_LANGS="ar az bg br ca cs cy da de el es et fr ga gl hi hu is it ja
+ ka lt nb nl pl pt pt_BR ro ru rw sk sr sr@Latn sv ta tg tr uk zh_CN"
+
+inherit trinity-base-2
+
+DESCRIPTION="A diff and merge program for TDE"
+HOMEPAGE="http://trinitydesktop.org/"
+LICENSE="|| ( GPL-2 GPL-3 )"
+
+need-trinity
+
+SLOT="${TRINITY_VER}"
+
+src_configure() {
+ mycmakeargs=(
+ -DBUILD_TRANSLATIONS=ON
+ )
+
+ trinity-base-2_src_configure
+} \ No newline at end of file